#ifndef XSURFACECOLLISIONTREE_H
#define XSURFACECOLLISIONTREE_H

#include "xasset.h"
#include "xsurfacecollisionleaf.h"
#include "xsurfacecollisionnode.h"

#include <QVector>

class XSurfaceCollisionTree : public XAsset
{
public:
    explicit XSurfaceCollisionTree();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    float mTrans[3];
    float mScale[3];
    unsigned int mNodeCount;
    QVector<XSurfaceCollisionNode> mNodes;
    unsigned int mLeafCount;
    QVector<XSurfaceCollisionLeaf> mLeafs;
};

#endif // XSURFACECOLLISIONTREE_H
